Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003336KdenliveUser Interfacepublic2014-07-07 19:292014-07-15 22:11
Reporterdiveo 
Assigned Tovpinon 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Platform64 bitOSUbuntuOS Version14.04
Product Version0.9.8 
Target VersionFixed in VersionRecent git 
Summary0003336: Transition settings "Track" popdown too narrow to be useful
DescriptionTransition property panes contain a setting to control the other track with which the track containing this transition is composed with. Unfortunately, the drop down list (combobox) used to control this setting is of an extremely fixed width, see also the attached screenshot. The track names thus get clipped, even when resizing the property pane horizontally. Instead, the transition type drop down list resizes and swallows all horizontal space.

However, the number of transitions is fixed and the list is far too wide. Instead, the UI would become better by restricting the transition type list to a fixed width, such as 20em or similar. By making the track list swallowing horizontal space instead the track names would become readable instead of getting clipped.
Steps To Reproduce1. Place a clip on a track,
2. then add a transition (such as affine) to the clip in the timeline.
3. select the transition.
4. open the track list of the transition property pane.

This list is barely readable as it stays too narrow to be really useful.
TagsNo tags attached.
Build/Install Method(select)
Attached Filesjpeg file icon kdenlive transition track.jpeg [^] (24,147 bytes) 2014-07-07 19:29

- Relationships

-  Notes
(0010120)
vpinon (administrator)
2014-07-07 23:41

quick fix just commited (in the restored master branch, so build scripts should work), track list gets resized.
OK for you?
(0010131)
diveo (reporter)
2014-07-13 20:30

Yes OK for me. I've tested a recent nightly build from the MLT website on Kubuntu 14.04. The list box now resizes and its default width is wide enough to accommodate the track names.

Thank you very much for fixing this UI nuisance!

- Issue History
Date Modified Username Field Change
2014-07-07 19:29 diveo New Issue
2014-07-07 19:29 diveo File Added: kdenlive transition track.jpeg
2014-07-07 23:41 vpinon Note Added: 0010120
2014-07-07 23:41 vpinon Assigned To => vpinon
2014-07-07 23:41 vpinon Status new => feedback
2014-07-13 20:30 diveo Note Added: 0010131
2014-07-13 20:30 diveo Status feedback => assigned
2014-07-15 22:11 vpinon Status assigned => resolved
2014-07-15 22:11 vpinon Fixed in Version => Recent git
2014-07-15 22:11 vpinon Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker